package com.base.scanqr.ui.widget

import android.app.AlertDialog
import android.content.Context
import android.view.Gravity
import android.view.LayoutInflater
import com.base.scanqr.databinding.DialogDeleteQrBinding

object DeleteQRDialog {

    fun Context.showDeleteQRDialog(
        removeAction: (() -> Unit)? = null,
    ) {
        val dialog = AlertDialog.Builder(this).create()
        val binding = DialogDeleteQrBinding.inflate(LayoutInflater.from(this))
        dialog.setView(binding.root)
        dialog.setCanceledOnTouchOutside(false)

        dialog.show()

        val params = dialog.window?.attributes
//        params?.width = resources.getDimensionPixelOffset(R.dimen.dp_320)
//        params?.height = resources.getDimensionPixelOffset(R.dimen.dp_400)
        params?.gravity = Gravity.CENTER
//        params?.y = 50

        dialog.window?.attributes = params
        dialog.window?.setBackgroundDrawableResource(android.R.color.transparent)
        binding.tvCancel.setOnClickListener {
            dialog.dismiss()
        }
        binding.tvRemove.setOnClickListener {
            dialog.dismiss()
            removeAction?.invoke()
        }

    }
}